#108 Multiple windows problem

development
closed-invalid
nobody
Program (402)
3
2001-12-10
2001-12-10
Anonymous
No

One of out Nedit users report:
One characteristic I have noticed, and the new version
is no better on this.
If I open a file in an nedit window, then open a second
file with Ctrl o in
the first window, then open a third file with Ctrl o in
the second window,
then close the second window, the third window hangs.
Also if I open 'many'
windows it sometimes hangs or dies.
I checked it: the problem persits in stable and
development version.

Discussion

  • Alexander Mai
    Alexander Mai
    2001-12-10

    Logged In: YES
    user_id=15180

    This report lacks most useful information: platform, which
    NEdit version, etc. At least the "nedit -version" output
    should be given.
    BTW, sounds like an old, but "fixed" problem.

     
  • Alexander Mai
    Alexander Mai
    2001-12-10

    • status: open --> open-invalid
     
  • Logged In: NO

    I'm sorry about that mistake ..
    Platform: Linux Slackware 7.1.0 x86
    Kernel: 2.2.19
    Nedit: 5.2 stable, 5.2+ development (4 Dec, 10 Dec)
    Glibc 2.2.3

     
  • Alexander Mai
    Alexander Mai
    2001-12-10

    Logged In: YES
    user_id=15180

    NEdit pre-builds from our site or build from source? Which
    Motif/LessTif toolkit?

     
  • Logged In: NO

    Built on: Linux, x86, GNU C
    With Motif: 1002 [@(#)GNU/LessTif Version 1.2 Release 0.89.9]
    Running Motif: 1002
    Server: The XFree86 Project, Inc 3360

    Compiled from source .. Precompiled seems to work fine.
    Differences in ldd command:
    Precompiled: libXp.so.6 => /usr/X11R6/lib/libXp.so.6
    Compiled: libXm.so.1 => /usr/X11R6/lib/libXm.so.1
    libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4

     
  • Alexander Mai
    Alexander Mai
    2001-12-10

    • priority: 5 --> 3
    • status: open-invalid --> closed-invalid
     
  • Alexander Mai
    Alexander Mai
    2001-12-10

    Logged In: YES
    user_id=15180

    Somehow I was remembering something like that. The docs
    (README) etc. advice to use recent LessTif versions, 0.89.9
    is ancient. Get a 0.92.x version at least.